%global debug_package %{nil}
%global gitrev 304d1d
%global gitdate 20110613

Name:		mono-reflection
Version:	0.1
Release:	0.5.%{gitdate}git%{gitrev}%{?dist}
Summary:	Helper library for Mono Reflection support
URL:		https://github.com/jbevain/mono.reflection
License:	MIT
Group:		System Environment/Libraries
# No source tarball, source from git:
# git clone https://github.com/jbevain/mono.reflection.git
# Use ./mono-reflection-make-git-snapshot.sh script to reproduce
Source0:	mono-reflection-%{gitdate}git%{gitrev}.tar.bz2
Source1:	mono-reflection.pc
Source2:	mono-reflection-make-git-snapshot.sh
Patch0:		mono-reflection-build.patch
BuildRequires:	mono-devel

# Mono only available on these:
ExclusiveArch: %ix86 x86_64 ppc ppc64 ia64 %{arm} sparcv9 alpha s390x

%description
Helper library for Mono Reflection support.

%package devel
Summary:	Development files for Mono.Reflection library
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	pkgconfig

%description devel
Development files for Mono.Reflection library.

%prep
%setup -q -n mono-reflection-%{gitdate}
%patch0 -p1
chmod -x README
sed -i 's/\r//' README

# Delete bundled DLL
rm -rf Test/target.dll

%build
# Use the mono system key instead of generating our own here.
cp -a /etc/pki/mono/mono.snk Mono.Reflection.snk
make LIBDIR=%{_libdir}

%install
mkdir -p %{buildroot}%{_libdir}/pkgconfig
cp -p %{SOURCE1} %{buildroot}%{_libdir}/pkgconfig
sed -i -e 's!@libdir@!%{_libdir}!' $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/mono-reflection.pc
mkdir -p %{buildroot}%{_prefix}/lib/mono/gac/
gacutil -i bin/Mono.Reflection.dll -f -package Mono.Reflection -root %{buildroot}%{_prefix}/lib

%files
%doc README
%{_prefix}/lib/mono/gac/Mono.Reflection/
%{_prefix}/lib/mono/Mono.Reflection/

%files devel
%{_libdir}/pkgconfig/mono-reflection.pc

%changelog
* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.5.20110613git304d1d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.4.20110613git304d1d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Nov 13 2011 Christian Krause <chkr@fedoraproject.org> - 0.1-0.3.20110613git304d1d
- Change paths for mono assemblies according to updated packaging
  guidelines (http://fedoraproject.org/wiki/Packaging:Mono)

* Mon Jun 13 2011 Tom Callaway <spot@fedoraproject.org> - 0.1-0.2.20110613git304d1d
- add script to generate tarball
- correct git revision
- add fully versioned Requires for base package in subpackage
- delete prebuilt DLL during prep

* Thu May 12 2011 Tom Callaway <spot@fedoraproject.org> - 0.1-0.1.201105123git04d1df
- Initial package creation
